"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ora = ora;

function _commander() {
  const data = _interopRequireDefault(require("commander"));

  _commander = function () {
    return data;
  };

  return data;
}

function _ora() {
  const data = _interopRequireDefault(require("ora"));

  _ora = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// A custom ora spinner that sends the stream to stdout in CI, non-TTY, or expo's non-interactive flag instead of stderr (the default).
function ora(options) {
  const inputOptions = typeof options === 'string' ? {
    text: options
  } : options || {};

  const disabled = _commander().default.nonInteractive;

  return (0, _ora().default)({
    // Ensure our non-interactive mode emulates CI mode.
    isEnabled: !disabled,
    // In non-interactive mode, send the stream to stdout so it prevents looking like an error.
    stream: disabled ? process.stdout : process.stderr,
    ...inputOptions
  });
}
//# sourceMappingURL=ora.js.map